Vulnerability Assessment & Network Security Forums



If through a vulnerability assessment, a network security issue is detected for the vulnerability below, applying the appropriate security patches in a timely matter is very important.  If you have detected that your system has already been compromised, following CERT's Network Security recovery document will assist with recommended steps for system recovery.


Home >> Browse Vulnerability Assessment Database >> Mandrake Local Security Checks >> MDKSA-2004:098: libxpm4


Vulnerability Assessment Details

MDKSA-2004:098: libxpm4

Vulnerability Assessment Summary
Check for the version of the libxpm4 package

Detailed Explanation for this Vulnerability Assessment

The remote host is missing the patch for the advisory MDKSA-2004:098 (libxpm4).


Chris Evans found several stack and integer overflows in the libXpm code of
X.Org/XFree86 (from which the libxpm code is derived):
Stack overflows (CVE-2004-0687):
Careless use of strcat() in both the XPMv1 and XPMv2/3 xpmParseColors code leads
to a stack based overflow (parse.c).
Stack overflow reading pixel values in ParseAndPutPixels (create.c) as well as
ParsePixels (parse.c).
Integer Overflows (CVE-2004-0688):
Integer overflow allocating colorTable in xpmParseColors (parse.c) - probably a
crashable but not exploitable offence.
The updated packages have patches from Chris Evans and Matthieu Herrb to address
these vulnerabilities.


Solution : http://wwwnew.mandriva.com/security/advisories?name=MDKSA-2004:098
Network Security Threat Level: High

Networks Security ID: 11196

Vulnerability Assessment Copyright: This script is Copyright (C) 2004 Tenable Network Security

Cables, Connectors

4 Core - Dell PowerEdge 2U - 2x AMD Opteron 22220 @ 2.80GHz 8GB DDr2~
$0.75
4 Core - Dell PowerEdge 2U - 2x AMD Opteron 22220 @ 2.80GHz 8GB DDr2~ pictureServer RAM 32G 8x 4GB FITS Dell Poweredge 2970 SC1435 6950 R300 PC2-5300P Memory
$24.95
Server RAM 32G 8x 4GB FITS Dell Poweredge 2970 SC1435 6950 R300 PC2-5300P Memory pictureDell PowerEdge T410 Server
$249.99
Dell PowerEdge T410 Server picture


Discussions

No Discussions have been posted on this vulnerability.